LOGIN(1)

NAME
login - sign on

SYNOPSIS
login [ -p ] [ username ]

DESCRIPTION
The login command is used when a user initially signs on, or it may be used at any time to change from one user to another. The latter case is the one summarized above and described here. See “How to Get Started” for how to dial up initially.

If login is invoked without an argument, it asks for a user name, and, if appropriate, a password. Echoing is turned off (if possible) during the typing of the password, so it will not appear on the written record of the session.

After a successful login, accounting files are updated and the user is informed of the existence of mail. The message of the day is printed, as is the time of his last login. Both are suppressed if he has a “.hushlogin” file in his home directory; this is mostly used to make life easier for non-human users, such as uucp.

Login initializes the user and group IDs and the working directory, then executes a command interpreter (usually csh(1)) according to specifications found in a password file. Argument 0 of the command interpreter is the name of the command interpreter with a leading dash (“-”).

Login also modifies the environment environ(7) with information specifying home directory, command interpreter, terminal type (if available) and user name. The `-p' argument causes the remainder of the environment to be preserved, otherwise any previous environment is discarded.

If the file /etc/nologin exists, login prints its contents on the user's terminal and exits. This is used by shutdown(8) to stop users logging in when the system is about to go down.

Login is recognized by sh(1) and csh(1) and executed directly (without forking).

FILES
/etc/utmp    accounting
/var/adm/wtmp    accounting
/var/spool/mail/*    mail
/etc/motd    message-of-the-day
/etc/passwd    password file
/etc/nologin    stops logins
.hushlogin    makes login quieter

SEE ALSO
init(8), getty(8), mail(1), passwd(1), passwd(5), environ(7), shutdown(8), rlogin(1c)

DIAGNOSTICS
“Login incorrect,” if the name or the password is bad.
“No Shell”, “cannot open password file”, “no directory”: consult a programming counselor.

BUGS
Undocumented options:
-r
is used by the remote login server, rlogind(8C) to force login to enter into an initial connection protocol.
-h
is used by telnetd(8C) and other servers to list the host from which the connection was received.
-t
is used by getty(8C) sh(1) and csh(1) to tell login to preserve the current tty state (eg window size and other parameters controlled by stty(1) ).